<?php
################################################################################
##                    OpenWebStats Version 1.0                                ##
##                                                                            ##
##        (c)2005 mathews_dm - <Davidmathews@open-creations.com>              ##
##                                                                            ##
################################################################################
## Please read the README!                                                    ##
################################################################################
include_once('config.php');
class Daily_Stats {
   function get_daily_stats() {
	global $databasename, $year, $month;
	$title = "Daily Stats";
	echo "<table cellpadding='0' cellspacing='0' class='stats'><caption align='top' class='caption'>$title</caption>";
	echo "<tr><td class='header'>Date</td><td class='header'>Unique Hits</td><td class='header'>Total Hits</td></tr>";
	$month_uni_total = 0;
	$month_total = 0;
	$month_host_array = array();
	$ndays = date("t", mktime(0, 0, 0, $month, 1, $year));
	for($j=1; $j<=$ndays; $j++) {
	    	$daily_uni_total = 0;
	    	$daily_total = 0;
		if($j < 10) {
			$day = "0".$j;
		} else {
			$day = $j;
		}
		$host_array = array();
		$query = "select datetime, host from webstats where datetime like '$year-".$month."-$day %'";
		$select = mysql_db_query($databasename, $query) or die($error=mysql_error());
		$rows = mysql_fetch_array($select);
		if($rows) {
			do {
				$daily_total++;
				$month_total++;
				if(!in_array($rows["host"], $host_array)) {
					$daily_uni_total++;
					array_push($host_array, $rows["host"]);
				}
				if(!in_array($rows["host"], $month_host_array)) {
					$month_uni_total++;
					array_push($month_host_array, $rows["host"]);
				}
			} while($rows = mysql_fetch_array($select));
		}
	        echo "    <tr>\n";
	        echo "      <td align=\"left\">".$month."/".$day."</td>\n";
	        echo "      <td>".$daily_uni_total."</td>\n";
	        echo "      <td>".$daily_total."</td>\n";
	        echo "    </tr>\n";
	}
		echo "<tr><td colspan='3'><hr></td></tr>";
	        echo "    <tr>\n";
	        echo "      <td align=\"left\"><b>Month Total</b></td>\n";
	        echo "      <td><b>".$month_uni_total."</b></td>\n";
	        echo "      <td><b>".$month_total."</b></td>\n";
	        echo "    </tr>\n";
	echo "</table>";
   }
   function get_daily_stats_full() {
	global $databasename, $year, $month;
	$title = "Daily Stats";
	echo "<table cellpadding='0' cellspacing='0' class='stats'><caption align='top' class='caption'>$title</caption>";
	echo "<tr><td class='header'>Date</td><td class='header'>Unique Hits</td><td class='header'>Total Hits</td><td class='header'>Unique Pages</td><td class='header'>Bandwidth</td></tr>";
	$month_uni_total = 0;
	$month_total = 0;
	$pagebytes_total = 0;
	$month_host_array = array();
	$ndays = date("t", mktime(0, 0, 0, $month, 1, $year));
	for($j=1; $j<=$ndays; $j++) {
	    	$daily_uni_total = 0;
	    	$daily_total = 0;
		if($j < 10) {
			$day = "0".$j;
		} else {
			$day = $j;
		}
		$host_array = array();
    	    	$pagebytes = array();
		$query = "select datetime, host, octets from webstats where datetime like '$year-".$month."-$day %'";
		$select = mysql_db_query($databasename, $query) or die($error=mysql_error());
		$rows = mysql_fetch_array($select);
		if($rows) {
			do {
				$daily_total++;
				$month_total++;
	    	        	$pagebytes[] = $rows["octets"];
				if(!in_array($rows["host"], $host_array)) {
					$daily_uni_total++;
					array_push($host_array, $rows["host"]);
				}
				if(!in_array($rows["host"], $month_host_array)) {
					$month_uni_total++;
					array_push($month_host_array, $rows["host"]);
				}
			} while($rows = mysql_fetch_array($select));
		}
	        echo "    <tr>\n";
	        echo "      <td align=\"left\">".$month."/".$day."</td>\n";
	        echo "      <td>".$daily_uni_total."</td>\n";
	        echo "      <td>".$daily_total."</td>\n";
    	    	$countpages = array();
    	    	$query2 = "select count(request) AS countpages, octets from webstats where datetime like '$year-$month-$day%' GROUP BY request";
    	    	$select2 = mysql_db_query($databasename, $query2) or die($error=mysql_error());
    	    	$rows2 = mysql_fetch_array($select2);
	    	$countpages = mysql_num_rows($select2);
	    	$pgtemp  = array_sum($pagebytes);
		$pagebytes_total = $pagebytes_total + $pgtemp;
	    	$pgbytes = Daily_Stats::byte_format($pgtemp);
	        echo "      <td>".$countpages."</td>\n";
	        echo "      <td>".$pgbytes."</td>\n";
	        echo "    </tr>\n";
	}
    	    	$countpages = array();
    	    	$query2 = "select count(request) AS countpages from webstats where datetime like '$year-$month%' GROUP BY request";
    	    	$select2 = mysql_db_query($databasename, $query2) or die($error=mysql_error());
    	    	$rows2 = mysql_fetch_array($select2);
	    	$countpages = mysql_num_rows($select2);
	    	$pgbytes = Daily_Stats::byte_format($pagebytes_total);
		echo "<tr><td colspan='5'><hr></td></tr>";
	        echo "    <tr>\n";
	        echo "      <td align=\"left\"><b>Month Total</b></td>\n";
	        echo "      <td><b>".$month_uni_total."</b></td>\n";
	        echo "      <td><b>".$month_total."</b></td>\n";
	        echo "      <td><b>".$countpages."</b></td>\n";
	        echo "      <td><b>".$pgbytes."</b></td>\n";
	        echo "    </tr>\n";
	echo "</table>";
   }
	function byte_format( $kbytes, $dec_places = 2 ) {
	    if ( $kbytes > 1048576 ) {
	        $result  = sprintf("%." . $dec_places . "f", $kbytes / 1048576 );
	        $result .= ' MB';
	    } elseif ( $kbytes > 1024 ) {
	        $result  = sprintf("%." . $dec_places . "f", $kbytes / 1024 );
	        $result .= ' KB';
	    } else {
	        $result  = sprintf("%." . $dec_places . "f", $kbytes );
	        $result .= ' B';
	    }
	    return $result;
	}
}
?>
