<?php
################################################################################
##                    OpenWebStats Version 1.0                                ##
##                                                                            ##
##        (c)2005 mathews_dm - <Davidmathews@open-creations.com>              ##
##                                                                            ##
################################################################################
## Please read the README!                                                    ##
################################################################################
include_once('config.php');
class Stats {
	function show_console() {
		global $databasename, $year, $month, $openstats_web_dir;
		$monthhash   = array("01"=>"January", "02"=>"February", "03"=>"March",
			           "04"=>"April", "05"=>"May", "06"=>"June", "07"=>"July",
			           "08"=>"August", "09"=>"September", "10"=>"October",
			           "11"=>"November", "12"=>"December");
		echo "<style>";
		echo ".stats { font-size: 8pt; width: 100%;}";
		echo ".header { font-weight: bold; background: #B3B3B3; }";
		echo ".caption { font-weight: bold; font-size: 10pt; }";
		echo "</style>";
		echo "<table cellpadding='0' cellspacing='0' border='1' width='100%' class='stats'>";
		echo "<tr><td colspan='2' align='center' bgcolor='#B3B3B3'><b>OpenWebStats - ".$_SERVER['HTTP_HOST']."</b></td></tr>";
		echo "<tr><td valign='top' width='90'>";
			echo "<a href='?'>Stats Summary</a><br><br>";
			echo "<b>When:</b><br>";
			echo "<a href='?type=monthly'>Monthly Stats</a><br>";
			echo "<a href='?type=daily'>Daily Stats</a><br>";
			echo "<a href='?type=hourly'>Hourly Stats</a><br><br>";
			echo "<b>Who:</b><br>";
			echo "<a href='?type=host'>Host Stats</a><br>";
			echo "<a href='?type=robots'>Robots Stats</a><br><br>";
			echo "<b>Navigation:</b><br>";
			echo "<a href='?type=page'>Page Stats</a><br>";
			echo "<a href='?type=os'>OS Stats</a><br>";
			echo "<a href='?type=browser'>Browser Stats</a><br><br>";
			echo "<b>Referers:</b><br>";
			echo "<a href='?type=referer'>Referer Stats</a><br>";
			echo "<a href='?type=sengines'>Keyword Stats</a><br><br>";
			echo "<b>Others:</b><br>";
			echo "<a href='?type=code'>HTTP Code Stats</a><br><br>";
			echo "<b>Update Stats:</b><br>";
			echo "<a href='?type=update'>Update Stats Now</a><br>";
		echo "</td><td valign='top'>";
		if(!$_GET['month']) {
			$month = date("m");
		} else {
			$month = $_GET['month'];
		}
		if(!$_GET['year']) {
			$year = date("Y");
		} else {
			$year = $_GET['year'];
		}
		$thisyear = date("Y");
		echo '<form name="FormDateFilter" action="" method="GET">
		<table border="0" cellpadding="1" cellspacing="0" width="100%" class="stats">
		<tr><td valign="middle"><b>Reported period:</b></td><td valign="middle"><select name="month">';
		foreach($monthhash AS $index=>$sub) {
			if($index == $month) {
				echo '<option value="'.$index.'" selected="true">'.$sub.'</option>\n';
			} else {
				echo '<option value="'.$index.'">'.$sub.'</option>\n';
			}
		}
		echo '</select>
		<select name="year">
		<option selected="true" value="'.$year.'">'.$year.'</option>
		<option value="'.$thisyear.'">'.$thisyear.'</option>
		<option value="'.($thisyear - 1).'">'.($thisyear - 1).'</option>
		</select>
		<input type="hidden" name="type" value="'.$_GET['type'].'">
		<input type="submit" value=" OK " /></td></tr>
		</table>
		</form><hr>';
		if($_GET['type'] == "browser") {
			include_once('browser_stats.php');
			$browser = new Browser_Stats;
			$browser->get_browser_stats();
		} elseif($_GET['type'] == "code") {
			include_once('code_stats.php');
			$codes = new HTTP_Codes;
			$codes->get_http_codes();
		} elseif($_GET['type'] == "daily") {
			include_once('daily_stats.php');
			$daily = new Daily_Stats;
			$daily->get_daily_stats_full();
		} elseif($_GET['type'] == "host") {
			include_once('host_stats.php');
			$host = new Host_Stats;
			$host->get_host_stats();
		} elseif($_GET['type'] == "hourly") {
			include_once('hourly_stats.php');
			$hourly = new Hourly_Stats;
			$hourly->get_hourly_stats();
		} elseif($_GET['type'] == "monthly") {
			include_once('monthly_stats.php');
			$monthly = new Monthly_Stats;
			$monthly->get_monthly_stats_full();
		} elseif($_GET['type'] == "os") {
			include_once('os_stats.php');
			$os = new OS_Stats;
			$os->get_os_stats();
		} elseif($_GET['type'] == "page") {
			include_once('page_stats.php');
			$page = new Page_Stats;
			$page->get_page_stats();
		} elseif($_GET['type'] == "referer") {
			include_once('refer_stats.php');
			$refer = new Refer_Stats;
			$refer->get_refer_stats();
		} elseif($_GET['type'] == "robots") {
			include_once('robots_stats.php');
			$robot = new Robots_Stats;
			$robot->get_robots_stats();
		} elseif($_GET['type'] == "sengines") {
			include_once('searchterms_stats.php');
			$searchterms = new SearchTerms_Stats;
			$searchterms->get_searchterms_stats();
		} elseif($_GET['type'] == "update") {
			include_once('class_apache_logs_import.php');
		} else {
			echo "<table class='stats'><tr><td valign='top'>";
			include_once('monthly_stats.php');
			$monthly = new Monthly_Stats;
			$monthly->get_monthly_stats();
			echo "</td><td valign='top'>";
			include_once('os_stats.php');
			$os = new OS_Stats;
			$os->get_os_stats();
			include_once('browser_stats.php');
			$browser = new Browser_Stats;
			$browser->get_browser_stats();
			echo "</td></tr>";
			echo "</table>";
		}
		echo "</td></tr>";
		echo "</table>";
	}
	function mod_pane_stats() {
	}
	function show_dashboard() {
		global $databasename, $year, $month, $openstats_web_dir;
		$month = date("m");
		$year = date("Y");
		echo "<style>";
		echo ".stats { font-size: 8pt; width: 100%;}";
		echo ".header { font-weight: bold; background: #B3B3B3; }";
		echo ".caption { font-weight: bold; font-size: 10pt; }";
		echo "</style>";
		echo "<table class='stats'><caption class='caption'>OpenWebStats Dashboard - ".$_SERVER['HTTP_HOST']."<br><br></caption><tr><td valign='top'>";
		include_once('monthly_stats.php');
		$monthly = new Monthly_Stats;
		$monthly->get_monthly_stats();
		echo "</td><td valign='top'>";
		include_once('os_stats.php');
		$os = new OS_Stats;
		$os->get_os_stats();
		include_once('browser_stats.php');
		$browser = new Browser_Stats;
		$browser->get_browser_stats();
		echo "</td></tr>";
		echo "</table>";
	}
}
?>
