
CREATE TABLE `webstats` (
  `id` int(25) NOT NULL auto_increment,
  `host` varchar(20) NOT NULL default '',
  `identity` varchar(180) NOT NULL default '',
  `remoteuser` varchar(80) NOT NULL default '',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `request` varchar(250) NOT NULL default '',
  `codehttp` int(5) NOT NULL default '0',
  `octets` int(25) NOT NULL default '0',
  `referer` varchar(250) NOT NULL default '',
  `useragent` varchar(180) NOT NULL default '',
  `method` varchar(5) NOT NULL default '',
  `http` varchar(20) NOT NULL default '',
  `vhost` varchar(180) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `host` (`host`,`datetime`,`request`,`useragent`,`method`),
  FULLTEXT KEY `useragent` (`useragent`),
  FULLTEXT KEY `referer` (`referer`)
) TYPE=MyISAM;
