<?php
################################################################################
##                    OpenWebStats Version 1.0                                ##
##                                                                            ##
##        (c)2005 mathews_dm - <Davidmathews@open-creations.com>              ##
##                                                                            ##
################################################################################
## Please read the README!                                                    ##
################################################################################
include_once('config.php');
class Browser_Stats {
   function get_browser_stats() {
	global $databasename, $year, $month, $openstats_web_dir;
     $title = "Browser Details";
     $browser_list = array();
     $times = array();
     //#brw# db object locator
     $query = "select useragent from webstats where datetime like '$year-$month-%'";
     $select = mysql_db_query($databasename, $query) or die($error=mysql_error());
     $rows = mysql_fetch_array($select);
     do {
            $br = Browser_Stats::getBrowser($rows["useragent"]);
            if ($br != ""){
                $browser_list[] = $br;
            }
    } while ($rows = mysql_fetch_array($select));
    $times = array_count_values($browser_list);
    $browser_total = array_sum(array_values($times));
    arsort($times);
    reset($times);
    echo "<table cellpadding='0' cellspacing='0' class='stats'><caption align='top' class='caption'>$title</caption>";
    echo "<tr><td class='header'>Browser</td><td class='header'>Total Hits</td><td class='header'>Percent</td></tr>";
    while(list($key, $value) = each($times)) {
        $str = ($value / $browser_total) * 100;
        $bp  = substr("$str",0,4);
        echo "    <tr>\n";
        echo "      <td>";
	if(preg_match("/^MS Internet Explorer$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_explorer.gif'> ";
	} elseif(preg_match("/^Netscape$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_netscape.gif'> ";
	} elseif(preg_match("/^Konqueror$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_konqueror.gif'> ";
	} elseif(preg_match("/^Galeon$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_galeon.gif'> ";
	} elseif(preg_match("/^Mozilla Firefox$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_firefox.gif'> ";
	} elseif(preg_match("/^Mozilla$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_mozilla.gif'> ";
	} elseif(preg_match("/^Java Browser$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_java.gif'> ";
	} elseif(preg_match("/^Avant Browser$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_abrowse.gif'> ";
	} elseif(preg_match("/^Camino$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_camino.gif'> ";
	} elseif(preg_match("/^Mac Safari$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_safari.gif'> ";
	} elseif(preg_match("/^Chimera$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_chimera.gif'> ";
	} elseif(preg_match("/^Nautilus$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_nautilus.gif'> ";
	} elseif(preg_match("/^Lynx$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_lynx.gif'> ";
	} elseif(preg_match("/^WebTV$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_webtv.gif'> ";
	} elseif(preg_match("/^Opera$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_opera.gif'> ";
	} elseif(preg_match("/^Wget$/",$key)) {
		echo "<img src='$openstats_web_dir/images/br_wget.gif'> ";
	} else {
		echo "<img src='$openstats_web_dir/images/question.gif'> ";
	}
	echo "$key</td>\n";
        echo "      <td>$value</td>\n";
        echo "      <td>$bp%</td>\n";
        echo "    </tr>\n";
    }
    echo "</table>";
  }
  function getBrowser ($uAgent) {
      //$br = strtolower($uAgent);
      $br = str_replace("+"," ", $uAgent);
      $br = str_replace("_"," ", $br);
                                                                                                                                                 
    if(preg_match("/firefox/i", $br)) { $browser = "Mozilla Firefox";
    } elseif(preg_match("/opera/i", $br)) { $browser = "Opera";
    } elseif(preg_match("/icab/i", $br)) { $browser = "iCab";
    } elseif(preg_match("/gold/i", $br)) { $browser = "Netscape";
    } elseif(preg_match("/nav/i", $br)) { $browser = "Netscape";
    } elseif(preg_match("/konqueror/i", $br)) { $browser = "Konqueror";
    } elseif(preg_match("/galeon/i", $br)) { $browser = "Galeon";
    } elseif(preg_match("/crazy browser/i", $br)) { $browser = "Crazy Browser";
    } elseif(preg_match("/java/i", $br)) { $browser = "Java Browser";
    } elseif(preg_match("/avant/i", $br)) { $browser = "Avant Browser";
    } elseif(preg_match("/camino/i", $br)) { $browser = "Camino";
    } elseif(preg_match("/safari/i", $br) || preg_match("/applewebkit/i", $br)) { $browser = "Mac Safari";
    } elseif(preg_match("/chimera/i", $br)) { $browser = "Chimera";
    } elseif(preg_match("/nautilus/i", $br)) { $browser = "Nautilus";
    } elseif(preg_match("/lynx/i", $br)) { $browser = "Lynx";
    } elseif(preg_match("/webtv/i", $br)) { $browser = "WebTV";
    } elseif(preg_match("/mozilla/i", $br) AND (!preg_match("/msie/i", $br) && !preg_match("/\/4./i", $br) && !preg_match("/gold/i", $br))) { $browser = "Mozilla";
    } elseif(preg_match("/msie/i", $br)) { $browser = "MS Internet Explorer";
    } elseif(preg_match("/internet explorer/i", $br)) { $browser = "MS Internet Explorer";
    } elseif(preg_match("/netscape/i", $br)) { $browser = "Netscape";
    } elseif(preg_match("/wget/i", $br)) { $browser = "Wget";
    } elseif(preg_match("/-/i", $br)) { $browser = "Unknown";
    } else { $browser = "Unknown"; } // usually just robots and crawlers and spriders
    return $browser;
  }
}
?>
