<?php
################################################################################
##                    OpenWebStats Version 1.0                                ##
##                                                                            ##
##        (c)2005 mathews_dm - <Davidmathews@open-creations.com>              ##
##                                                                            ##
################################################################################
## Please read the README!                                                    ##
################################################################################
include_once('config.php');
class Host_Stats {
   function get_host_stats() {
	global $databasename, $year, $month, $openstats_web_dir;
	if($_GET['full']) {
    		$title = "Hosts - <a href='?type=host&month=$month&year=$year'>(Top 25)</a>";
    		$query = "select count(host) AS hits, host from webstats where datetime like '$year-$month-%' GROUP BY host order by hits DESC";
	} else {
    		$title = "Hosts (Top 25) - <a href='?type=host&full=true&month=$month&year=$year'>(Full List)</a>";
    		$query = "select count(host) AS hits, host from webstats where datetime like '$year-$month-%' GROUP BY host order by hits DESC LIMIT 0,25";
	}
    	$select = mysql_db_query($databasename, $query) or die($error=mysql_error());
    	$rows = mysql_fetch_array($select);
    	echo "<table cellpadding='0' cellspacing='0' class='stats'><caption align='top' class='caption'>$title</caption>";
    	echo "<tr><td class='header'>Host</td><td class='header'>Pages</td><td class='header'>Total Pages</td><td class='header'>Bandwidth</td><td class='header'>Last Visited</td></tr>";
    	do {
    		$pagebytes = array();
    		$query2 = "select count(request) AS countpages, octets from webstats where host = '".$rows["host"]."' and datetime like '$year-$month-%' GROUP BY request";
    		$select2 = mysql_db_query($databasename, $query2) or die($error=mysql_error());
		$countpages = mysql_num_rows($select2);
    		$query2 = "select octets from webstats where host = '".$rows["host"]."' and datetime like '$year-$month-%'";
    		$select2 = mysql_db_query($databasename, $query2) or die($error=mysql_error());
    		$rows2 = mysql_fetch_array($select2);
		do {
	            $pagebytes[] = $rows2["octets"];
	        } while($rows2 = mysql_fetch_array($select2));
	        $query3 = "select datetime from webstats where host = '".$rows["host"]."' and datetime like '$year-$month-%' order BY datetime desc limit 1";
	        $select3 = mysql_db_query($databasename, $query3) or die($error=mysql_error());
	        $rows3 = mysql_fetch_array($select3);
	
	        $totip   = $rows["hits"];
	        $page    = $rows["host"];
	        $last    = $rows3["datetime"];
	        $pgtemp  = array_sum($pagebytes);
	        $pgbytes = Host_Stats::byte_format($pgtemp);
	
	        echo "    <tr>\n";
	        echo "      <td>";
		require_once ("domains_inc.php");
		$hostname = gethostbyaddr($page);
		$country= substr ((strrchr ($hostname, '.')), 1);
		$found_country = false;
		foreach($domainlist as $indo => $subdo) {
			if($country == $indo) {
				echo "<img src=\"$openstats_web_dir/images/flags/$indo.png\" height=\"14\" alt=\"$indo.png\" title=\"$indo.png\" />";
				$found_country = true;
				break;
			}
		}
		if(!$found_country) {
			echo "<img src=\"$openstats_web_dir/images/flags/unknown.png\" height=\"14\" alt=\"unknown.png\" title=\"unknown.png\" />";
		}
		echo "     $page</td>\n";
	        echo "      <td>$countpages</td>\n";
	        echo "      <td>$totip</td>\n";
	        echo "      <td>$pgbytes</td>\n";
	        echo "      <td>$last</td>\n";
	        echo "    </tr>\n";
	    } while($rows = mysql_fetch_array($select));
	    echo "</table>";
	}	
	function byte_format( $kbytes, $dec_places = 2 ) {
	    if ( $kbytes > 1048576 ) {
	        $result  = sprintf("%." . $dec_places . "f", $kbytes / 1048576 );
	        $result .= ' MB';
	    } elseif ( $kbytes > 1024 ) {
	        $result  = sprintf("%." . $dec_places . "f", $kbytes / 1024 );
	        $result .= ' KB';
	    } else {
	        $result  = sprintf("%." . $dec_places . "f", $kbytes );
	        $result .= ' B';
	    }
	    return $result;
	}
}
?>
