<?php
################################################################################
##                    OpenWebStats Version 1.0                                ##
##                                                                            ##
##        (c)2005 mathews_dm - <Davidmathews@open-creations.com>              ##
##                                                                            ##
################################################################################
## Please read the README!                                                    ##
################################################################################
include_once('config.php');
class OS_Stats {
   function get_os_stats() {
	global $databasename, $year, $month, $openstats_web_dir;
    	$title = "Operating Systems";
    	$os_list = array();
    	$os_times = array();
    	$x = 0;
    	$query = "select useragent from webstats where datetime like '$year-$month-%'";
    	$select = mysql_db_query($databasename, $query) or die($error=mysql_error());
    	$rows = mysql_fetch_array($select);
    	do {
    	        $os_list[] = OS_Stats::getOS($rows["useragent"]);
    	} while($rows = mysql_fetch_array($select));
    	$os_times = array_count_values($os_list);
    	$osTotal = array_sum(array_values($os_times));
    	                                                                                                                            
    	arsort($os_times);
    	reset($os_times);
    	                                                                                                                            
    	echo "<table cellpadding='0' cellspacing='0' class='stats'><caption align='top' class='caption'>$title</caption>";
    	echo "<tr><td class='header'>OS</td><td class='header'>Total Hits</td><td class='header'>Percent</td></tr>";
    	while(list($os, $value) = each($os_times)) {
    	    $x2        = ($value / $osTotal) * 100;
    	    $osPcnt    = substr("$x2",0,4);   // percentage calculations dependent on os type.
    	                                                                                                                            
    	    if (($os != "Other") && ($os != "Spiders")){
    	       $pic = strtolower(substr($os,0,7));
    	       echo "      <tr>\n";
    	       echo "       <td>";
		   if($os == "Windows XP") {
			echo "<img src='$openstats_web_dir/images/os_windowsxp.gif'> ";
		   } elseif($os == "Windows 2000" || $os == "Windows 98" || $os == "Windows NT" || $os == "Windows 95" || $os == "Windows OS2" || $os == "Windows ME") {
			echo "<img src='$openstats_web_dir/images/os_windows.gif'> ";
		   } elseif($os == "Unknown") {
			echo "<img src='$openstats_web_dir/images/os_winlong.gif'> ";
		   } elseif($os == "Apple") {
			echo "<img src='$openstats_web_dir/images/os_darwin.gif'> ";
		   } elseif($os == "Linux") {
			echo "<img src='$openstats_web_dir/images/os_linux.gif'> ";
		   } elseif($os == "Unix") {
			echo "<img src='$openstats_web_dir/images/os_unixware.gif'> ";
		   } elseif($os == "SunOS") {
			echo "<img src='$openstats_web_dir/images/os_sun.gif'> ";
		   } elseif($os == "FreeBSD") {
			echo "<img src='$openstats_web_dir/images/os_openbsd.gif'> ";
		   } elseif($os == "IRIX") {
			echo "<img src='$openstats_web_dir/images/os_irix.gif'> ";
		   }
		   echo "       $os</td>\n";
	           echo "       <td>$value</td>\n";
	           echo "       <td>$osPcnt %</td>\n";
	           echo "         </tr>\n";
	    }
	}
	echo "</table>";
   }
   function getOS($uAgent) {
      if (strstr($uAgent,'Win')) {
      	if (strstr($uAgent,'NT 5.0') || strstr($uAgent,'NT5.0') || strstr($uAgent,'Windows 2000')) {
      	    $platf='Windows 2000';
      	} else if (strstr($uAgent,'NT 5.1') || strstr($uAgent,'NT5.1') || strstr($uAgent,'Windows XP')) {
      	    $platf='Windows XP';
      	} else if (strstr($uAgent,'Win98') || strstr($uAgent,'Windows 98')) {
      	    $platf='Windows 98';
      	} else if (strstr($uAgent,'NT')) {
      	    $platf='Windows NT';
      	} else if (strstr($uAgent,'Win95') || strstr($uAgent,'Windows 95')) {
      	    $platf='Windows 95';
      	} else if (strstr($uAgent,'Win 9x')) {
      	    $platf='Windows OS2';
      	} else if (strstr($uAgent,'WinME') || strstr($uAgent,'Windows ME')) {
      	    $platf='Windows ME';
      	} else {
      	    $platf='Unknown';
      	}
      } else if (strstr($uAgent,'Mac')) {
      	$platf='Apple';
      } else if (strstr($uAgent,'Linux')) {
      	$platf='Linux';
      } else if (strstr($uAgent,'Unix')) {
      	$platf='Unix';
      } else if (strstr($uAgent,'SunOS')) {
      	$platf='SunOS';
      } else if (strstr($uAgent,'FreeBSD')) {
      	$platf='FreeBSD';
      } else if (strstr($uAgent,'IRIX')) {
      	$platf='IRIX';
      } else if (strstr($uAgent,'spider') || strstr($uAgent,'bot') || strstr($uAgent,'http') || strstr($uAgent,'Scooter') || strstr($uAgent,'WebCopier') ) {
      	$platf='Spiders';
      } else {
      	$platf='Other';
      }
      return $platf;
  }
}
?>
