<?php
################################################################################
##                    OpenWebStats Version 1.0                                ##
##                                                                            ##
##        (c)2005 mathews_dm - <Davidmathews@open-creations.com>              ##
##                                                                            ##
################################################################################
## Please read the README!                                                    ##
################################################################################

$SearchEnginesHash= array(
// Most common search engines
"google."=>"Google",
"yahoo."=>"Yahoo",
".altavista."=>"AltaVista",
"auto.search.msn."=>"Auto Search MSN",
".msn."=>"MSN",
".voila."=>"Voila",
".lycospro.lycos"=>"Lycos",
".terra."=>"Terra",
".google.com"=>"Google",
".alltheweb."=>"AllTheWeb",
".netscape."=>"Netscape",
".northernlight."=>"NorthernLight",
".dmoz."=>"DMOZ",
"aolsearch."=>"AOL",
".aol."=>"AOL",
".search.com"=>"Search.com",
"allcommunity"=>"AllCommunity",
"sli.sympatico"=>"Sympatico",
".kvasir"=>"Kvasir",
".searchhippo"=>"Search Hippo",
".hotbot.lycos"=>"Hotbot",
"dpxml.webcrawler.com"=>"WebCrawler",
".webcrawler"=>"WebCrawler",
".metacrawler"=>"MetaCrawler (Metamoteur)",
".go2net"=>"Go2Net (Metamoteur)",
".go."=>"Go.com",
".overture."=>"Overture", 
".euroseek"=>"Euroseek",
".excite"=>"Excite",
".lokace"=>"Lokace",
".netfind.aol.com"=>"AOL",
".recherche.aol.fr"=>"AOL",
".spray"=>"Spray",
".nbci."=>"NBCI",
".ask"=>"Ask Jeeves",
".mamma"=>"Mamma",
".dejanews"=>"DejaNews",
".dogpile"=>"Dogpile",
".wisenut"=>"WISENut",
".megaspider"=>"Megaspider",
".bol"=>"Meta Miner",               // Minor brazilian search engines
".opasia"=>"Opasia", ".danielsen"=>"Thor (danielsen.com)", // Minor danish search-engines
".ilse"=>"Ilse","vindex"=>"Vindex.nl",                                                // Minor dutch search engines
".splut"=>"Splut", ".ukplus"=>"UKPlus", ".mirago"=>"Mirago", ".ukindex"=>"UKIndex", ".ukdirectory"=>"UK Directory", // Minor english search engines
".haku"=>"Ihmemaa",                                                                              // Minor finnish search engines
".nomade/"=>"Nomade", ".ctrouve"=>"C'est trouv", ".francite."=>"Francit", ".lbb.org"=>"LBB", ".rechercher.libertysurf.fr"=>"Libertysurf", // Minor french search engines
".fireball"=>"Fireball", ".infoseek"=>"Infoseek", ".suche.web.de"=>"Web.de",".meta"=>"MetaGer", // Minor german search engines
".virgilio"=>"Virgilio",                                                                              // Minor italian search engines
".start."=>"start.no",                                                                    // Minor norvegian search engines
".passagen."=>"Evreka",
"websearch.cs.com"=>"CompuServe Search", "buscador.terra.es"=>"Spanish Terra Buscador"                                                                // Minor swedish search engines
);

// Search engines known URLs rules to find keywords (update the 10th january 2001)
//-------------------------------------------------------
// Most common search engines
$SearchEnginesKnownUrl= array("yahoo"=>"p=",
"altavista"=>"q=",
"att"=>"qry=",
"bellsouth"=>"string=",
"msn"=>"q=",
"voila"=>"kw=",
"lycos"=>"query=",
"google"=>"q=",
"alltheweb"=>"query=",
"netscape"=>"query=",
"northernlight"=>"qr=",
"dmoz"=>"search=",
"aol"=>"query=",
"search"=>"?q=",
"allcommunity"=>"?q=",
"sli.sympatico"=>"?query=",
"kvasir"=>"q=",
"searchhippo"=>"q=",
// Others
"terra"=>"query=",
"lop"=>"s=",
"web"=>"su=",
"megaspider"=>"?",
"askjeeves"=>"ask=",
"hotbot"=>"mt=",
"webcrawler"=>"qkw=",
"metacrawler"=>"general=",
"go2net"=>"general=",
"go"=>"qt=",
"overture"=>"Keywords=",
"euroseek"=>"query=",
"excite"=>"search=",
"spray"=>"string=",
"nbci.com/search"=>"keyword=",
"mamma"=>"query=",
"search.dogpile.com"=>"q=",
"wisenut"=>"query=",
"virgilio"=>"qs=",
"engine"=>"p1=", "miner.bol.com.br"=>"q=",                                // Minor brazilian search engines
"opasia"=>"q=", "danielsen.com"=>"q=",                                               // Minor danish search engines
"ilse"=>"search_for=", "vindex"=>"in=",                                               // Minor dutch search engines
"splut"=>"pattern=", "ukplus"=>"search=", "mirago"=>"txtSearch=",          // Minor english search engines
"ukindex.co.uk"=>"stext=", "ukdirectory"=>"k=",                                                      // Minor english search engines
"haku..fi"=>"w=",                                                                                                           // Minor finnish search engines
"nomade/"=>"s=", "francite."=>"name=",                                                                       // Minor french search engines
"fireball"=>"q=", "infoseek"=>"qt=", "suche.web.de"=>"su=",                      // Minor german search engines
"sok.start.no"=>"q=",                                                                                 // Minor norvegian search engines
"evreka.passagen.se"=>"q=",
"cs"=>"query="                                                                // Minor swedish search engines
                                                                             // Minor swedish search engines
);

?>
