<?php
################################################################################
##                    OpenWebStats Version 1.0                                ##
##                                                                            ##
##        (c)2005 mathews_dm - <Davidmathews@open-creations.com>              ##
##                                                                            ##
################################################################################
## Please read the README!                                                    ##
################################################################################
include_once('config.php');
class SearchTerms_Stats {
   function get_searchterms_stats() {
	global $databasename, $year, $month, $SearchEnginesKnownUrl;
     	require_once ("search_engines_inc.php");
     	$searches = array();
     	foreach ($SearchEnginesHash AS $sear => $sub) {
     		$query = "select referer, request, MATCH (referer) AGAINST ('$sear') AS score from webstats where datetime like '$year-$month-%' and MATCH (referer) AGAINST ('$sear')";
     		$select = mysql_db_query($databasename, $query) or die($error=mysql_error());
     		$rows = mysql_fetch_array($select);
     		do {
			$r = str_replace(" ","", $rows["referer"]);
			$engine_name = SearchTerms_Stats::search_engines($r);
	            	$code_words  = SearchTerms_Stats::search_defined($engine_name, $r);
	            	if (strlen($code_words) != 0) {
	            		++$searches[$code_words];
	            	}
	     	} while($rows = mysql_fetch_array($select));
	 }
	 if ($searches){
	     	$top_tot = count($searches);
	 }
	 if($_GET['full']) {
	 	$title = "Keywords used on search engines (Top $top_tot) - <a href='?type=sengines&month=$month&year=$year'>(Hide All)</a>";
	 } elseif($top_tot >= 25) {
	 	$title = "Keywords used on search engines (Top $top_tot) - <a href='?type=sengines&full=true&month=$month&year=$year'>(Show All)</a>";
	 } else {
	 	$title = "Keywords used on search engines (Top $top_tot)";
	 }
	 echo "<table cellpadding='0' cellspacing='0' class='stats'><caption align='top' class='caption'>$title</caption>";
	 echo "<tr><td class='header'>Search Terms</td><td class='header'>Total Hits</td><td class='header'>Percent</td></tr>";
	 if (isset($searches)){
	     	$array_count = array_sum($searches);
	     	$i=0;
	     	arsort($searches);
	     	reset($searches);
	    	foreach($searches AS $sword => $times) {
	    		if ($i==25 AND !$_GET['full']){break;}
	    	        $str_search = ($times / $array_count) * 100;
	    	        $swp_search = substr("$str_search",0,4);
	    		echo "    <tr>\n";
	    		echo "        <td>". urldecode($sword) . "</td>\n";
	    		echo "        <td>".$times."</td>\n";
	    		echo "        <td>$swp_search%</td>\n";
	    		echo "    </tr>\n";
	    		$i++;
		}
	 }
	 echo "</table>";
   }
   function search_defined($engines, $rw){
	global $SearchEnginesKnownUrl;
	$patt = '/^'.$engines.'$/';
	$se =& SearchTerms_Stats::grep_keys($patt,$SearchEnginesKnownUrl);
	list (,$query) = each($se);
	$pattern = '/.*[?|&]'.$query.'([a-zA-Z0-9\-+_%]+)/';
	$srchTerm = (preg_match($pattern, $rw, $match)) ? $match[1] : NULL;
	$phrase = trim($srchTerm);
	return $phrase;
   }
   function search_engines($string){
   	if(!preg_match('/http:\/\/.+\.(.+)\..*/U', $string, $engine)){
		return;
	}
	return $engine[1];
   }
   function grep_keys($pattern, $array){
      $tmp = Array();
      while( list($key, $val) = each($array))
      {
      if(preg_match($pattern,$key)) $tmp[$key] = $val;
      }
      return $tmp;
   }
}
?>
